summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Tim Dickson <dickson.tim@googlemail.com>2015-05-24 09:49:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-24 09:49:15 +0700
commitd6e338a5074f753eb775fa2cdb5ffc33a912e247 (patch)
tree2e8b984e7db56c48df9b24ef329fd99f22d2a243
parent2d6386257473044b693a37db96478c6fa6dc0c7f (diff)
downloadslackbuilds-d6e338a5074f753eb775fa2cdb5ffc33a912e247.tar.gz
slackbuilds-d6e338a5074f753eb775fa2cdb5ffc33a912e247.tar.xz
games/edgar: Added (A 2D platform game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/edgar/README14
-rw-r--r--games/edgar/doinst.sh9
-rw-r--r--games/edgar/edgar.SlackBuild93
-rw-r--r--games/edgar/edgar.info11
-rw-r--r--games/edgar/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/games/edgar/README b/games/edgar/README
new file mode 100644
index 0000000000..117a76afc4
--- /dev/null
+++ b/games/edgar/README
@@ -0,0 +1,14 @@
+The Legend of Edgar. A 2D platform game with a persistent world.
+
+When Edgar's father fails to return home after venturing out one dark
+and stormy night, Edgar fears the worst: he has been captured by the
+evil sorcerer who lives in a fortress beyond the forbidden swamp.
+Donning his armour, Edgar sets off to rescue him, but his quest will
+not be easy...
+The Legend of Edgar is a platform game, not unlike those found on the
+Amiga and SNES. Edgar must battle his way across the world, solving
+puzzles and defeating powerful enemies to achieve his quest.
+
+LICENSE
+
+ GNU GPL - Please read LICENSE in the docs for more information
diff --git a/games/edgar/doinst.sh b/games/edgar/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/edgar/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/edgar/edgar.SlackBuild b/games/edgar/edgar.SlackBuild
new file mode 100644
index 0000000000..9b05018107
--- /dev/null
+++ b/games/edgar/edgar.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for the legend of edgar
+
+# Copyright 2015 Tim Dickson, dickson.tim@googlemail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=edgar
+VERSION=${VERSION:-1.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+#-O2 flag is removed as it causes unwanted behaviour in the game
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS=" -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-1.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix doc installation path
+sed -i 's/share\/doc/doc/' makefile
+
+# Fix man installation path (the original works due to a link in slackware from /usr/share/man
+# to /usr/man , but we may as well install it in the right place)
+sed -i 's/share\/man/man/' makefile
+DESTDIR=$PKG
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/edgar/edgar.info b/games/edgar/edgar.info
new file mode 100644
index 0000000000..3338509a2c
--- /dev/null
+++ b/games/edgar/edgar.info
@@ -0,0 +1,11 @@
+
+PRGNAM="edgar"
+VERSION="v1.2"
+HOMEPAGE="http://www.parallelrealities.co.uk/p/legend-of-edgar.html"
+DOWNLOAD="http://downloads.sf.net/legendofedgar/edgar-1.20-1.tar.gz"
+MD5SUM="ced4756467f76029bb5b0a3e266cfd9b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@googlemail.com"
diff --git a/games/edgar/slack-desc b/games/edgar/slack-desc
new file mode 100644
index 0000000000..690ce532f6
--- /dev/null
+++ b/games/edgar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+edgar: edgar (A 2D platform game)
+edgar:
+edgar: When Edgar's father fails to return home after venturing out one dark
+edgar: and stormy night, Edgar fears the worst: he has been captured by the
+edgar: evil sorcerer who lives in a fortress beyond the forbidden swamp.
+edgar: Donning his armour, Edgar sets off to rescue him, but his quest will
+edgar: not be easy...
+edgar: The Legend of Edgar is a platform game, not unlike those found on the
+edgar: Amiga and SNES. Edgar must battle his way across the world, solving
+edgar: puzzles and defeating powerful enemies to achieve his quest.
+edgar: see http://www.parallelrealities.co.uk/p/legend-of-edgar.html